package com.lightinit.hsdataplatform.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/6/7 10:48
 * @Description:
 **/
public class OrderGoodDetailModel {

    private String resourceType;
    private String resourceName;
    private Integer quantity;
    private String chargeMethod;
    private BigDecimal packagePrice;
    private Long useTimes;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date effectiveDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date expiriedDate;
    private BigDecimal orderAmount;//订单总金额

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    //计算购买的总金额
    /*public BigDecimal getTotalPrice(){
        BigDecimal bigDecimal = new BigDecimal(quantity);
        return bigDecimal.multiply(packagePrice);
    }*/
    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }

    public BigDecimal getPackagePrice() {
        return packagePrice;
    }

    public void setPackagePrice(BigDecimal packagePrice) {
        this.packagePrice = packagePrice;
    }

    public Long getUseTimes() {
        return useTimes;
    }

    public void setUseTimes(Long useTimes) {
        this.useTimes = useTimes;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public Date getExpiriedDate() {
        return expiriedDate;
    }

    public void setExpiriedDate(Date expiriedDate) {
        this.expiriedDate = expiriedDate;
    }
}
